Versione API Graph

Instagram Business Asset

Lettura

Get the Instagram Business Asset

Esempio

Graph API Explorer
GET /v25.0/{instagram-business-asset-id} HTTP/1.1
Host: graph.facebook.com
/* PHP SDK v5.0.0 */
/* make the API call */
try {
  // Returns a `Facebook\FacebookResponse` object
  $response = $fb->get(
    '/{instagram-business-asset-id}',
    '{access-token}'
  );
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}
$graphNode = $response->getGraphNode();
/* handle the result */
/* make the API call */
FB.api(
    "/{instagram-business-asset-id}",
    function (response) {
      if (response && !response.error) {
        /* handle the result */
      }
    }
);
/* make the API call */
new GraphRequest(
    AccessToken.getCurrentAccessToken(),
    "/{instagram-business-asset-id}",
    null,
    HttpMethod.GET,
    new GraphRequest.Callback() {
        public void onCompleted(GraphResponse response) {
            /* handle the result */
        }
    }
).executeAsync();
/* make the API call */
FBSDKGraphRequest *request = [[FBSDKGraphRequest alloc]
                               initWithGraphPath:@"/{instagram-business-asset-id}"
                                      parameters:params
                                      HTTPMethod:@"GET"];
[request startWithCompletionHandler:^(FBSDKGraphRequestConnection *connection,
                                      id result,
                                      NSError *error) {
    // Handle the result
}];
Se desideri scoprire come usare l'API Graph, leggi la nostra Guida per l'utilizzo dell'API Graph.

Parametri

Questo endpoint non dispone di parametri.

Campi

CampoDescrizione
id
numeric string

id

ig_user_id
numeric string

ig_user_id

ig_username
string

ig_username

Segmenti

SegmentoDescrizione
Edge<AssignedUser>

assigned_users

Error Codes

ErroreDescrizione
100Invalid parameter

Creazione

Non puoi eseguire questa operazione in questo endpoint.

Aggiornamento

Non puoi eseguire questa operazione in questo endpoint.

Eliminazione

Non puoi eseguire questa operazione in questo endpoint.